#! /usr/bin/python
# -*- coding: utf-8 -*-

import os
import sys
from pylab import *

if len(sys.argv) < 2:
    name = raw_input('ime i prezime: ')
else:
    name = ''
    for i in range(1, len(sys.argv)):
        name = name + sys.argv[i] + ' '

print
print 'processing L . . .'
os.system('python Ltable.py')
print 'processing C . . .'
os.system('python Ctable.py')
print 'processing N . . .'
os.system('python Ntable.py')



print 'forming the report . . .'
f = open('report.tex', 'w')
f.write(r'''\documentclass[a4paper, 12pt]{article}

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[serbian]{babel}

\usepackage[margin=2cm]{geometry}

\usepackage{graphicx}

\usepackage{amsmath}

\usepackage[unicode]{hyperref}

\usepackage{datetime}

\title{Izveštaj sa laboratorijske vežbe \\
\textbf{Trofazni ispravljač}}

\author{''' + name + r'''}

\date{\today \\ \currenttime}

\begin{document}

\maketitle

\bigskip \bigskip

\tableofcontents

\clearpage

\section{L filter}

\input{Ltable}

\input{Lfig}

\clearpage

\section{C filter}

\input{Ctable}

\input{Cfig}

\clearpage

\section{Bez filtra}

\input{Ntable}

\input{Nfig}

\end{document}''')

f.close()

os.system('pdflatex report.tex')
os.system('pdflatex report.tex')

